> ## Documentation Index
> Fetch the complete documentation index at: https://support.lilt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a specific Webhook Configuration by ID.

> Retrieves a specific webhook configuration by its ID.
Deleted webhook configurations are not returned.




## OpenAPI

````yaml /api-reference/openapi-bundled.yaml get /v3/connectors/configuration/webhooks/{id}
openapi: 3.0.3
info:
  title: LILT API
  description: >
    LILT API Support: https://lilt.atlassian.net/servicedesk/customer/portals


    The LILT API enables programmatic access to the full-range of LILT backend
    services including:
      * Training of and translating with interactive, adaptive machine translation
      * Large-scale translation memory
      * The Lexicon (a large-scale termbase)
      * Programmatic control of the LILT CAT environment
      * Translation memory synchronization


    Requests and responses are in JSON format. The REST API only responds to
    HTTPS / SSL requests.


    The base url for this REST API is `https://api.lilt.com/`.


    ## Authentication


    Requests are authenticated via API key, which requires the Business plan.


    Requests are authenticated using [HTTP Basic
    Auth](https://en.wikipedia.org/wiki/Basic_access_authentication). Add your
    API key as both the `username` and `password`.


    For development, you may also pass the API key via the `key` query
    parameter. This is less secure than HTTP Basic Auth, and is not recommended
    for production use.


    ## Quotas


    Our services have a general quota of 4000 requests per minute. Should you
    hit the maximum requests per minute, you will need to wait 60 seconds before
    you can send another request.
  version: v3.0.3
  license:
    name: LILT Platform Terms and Conditions
    url: https://lilt.com/lilt-platform-terms-and-conditions
servers:
  - url: https://api.lilt.com
security:
  - BasicAuth: []
  - ApiKeyAuth: []
paths:
  /v3/connectors/configuration/webhooks/{id}:
    get:
      tags:
        - Webhook Configuration
      summary: Retrieve a specific Webhook Configuration by ID.
      description: |
        Retrieves a specific webhook configuration by its ID.
        Deleted webhook configurations are not returned.
      operationId: webhooksGet
      parameters:
        - name: id
          in: path
          required: true
          description: The Webhook Configuration ID.
          schema:
            type: integer
            example: 12345
      responses:
        '200':
          description: Returns the webhook configuration.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/webhook_response'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    webhook_response:
      type: object
      properties:
        id:
          type: integer
          description: The unique identifier for the webhook configuration.
          example: 12345
        webhookName:
          type: string
          description: The name of the webhook configuration.
        webhookUrl:
          type: string
          format: uri
          description: The URL to which the webhook notifications will be sent.
        eventType:
          type: array
          items:
            type: string
            enum:
              - JOB_DELIVER
              - JOB_UPDATE
              - PROJECT_DELIVER
              - PROJECT_UPDATE
              - INSTANT_TRANSLATE_COMPLETED
              - INSTANT_TRANSLATE_FAILED
          description: The list of event types that will trigger the webhook notification.
      required:
        - id
        - webhookName
        - webhookUrl
        - eventType
    Error:
      type: object
      properties:
        message:
          type: string
          description: A human-readable message describing the error.
      description: |
        Response in the event of an unexpected error.
      example:
        message: Internal server error.
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic
    ApiKeyAuth:
      type: apiKey
      name: key
      in: query

````